package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;

public class DrpMarketPriceVO {
   @ApiModelProperty("采集日期")
   private LocalDate harvestTime;
   @ApiModelProperty("单价")
   private Integer unitPrice;
   @ApiModelProperty("采集来源")
   private String harvestSource;
   @ApiModelProperty("浮动比例")
   private BigDecimal floatingRatio;
   private Long materialId;
   private Long unitId;

   public LocalDate getHarvestTime() {
      return this.harvestTime;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public String getHarvestSource() {
      return this.harvestSource;
   }

   public BigDecimal getFloatingRatio() {
      return this.floatingRatio;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public void setHarvestTime(final LocalDate harvestTime) {
      this.harvestTime = harvestTime;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setHarvestSource(final String harvestSource) {
      this.harvestSource = harvestSource;
   }

   public void setFloatingRatio(final BigDecimal floatingRatio) {
      this.floatingRatio = floatingRatio;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof DrpMarketPriceVO;
   }


   public String toString() {
      String var10000 = String.valueOf(this.getHarvestTime());
      return "DrpMarketPriceVO(harvestTime=" + var10000 + ", unitPrice=" + this.getUnitPrice() + ", harvestSource=" + this.getHarvestSource() + ", floatingRatio=" + String.valueOf(this.getFloatingRatio()) + ", materialId=" + this.getMaterialId() + ", unitId=" + this.getUnitId() + ")";
   }
}
